%define srcname kerberos

Summary:	A high-level wrapper for Kerberos (GSSAPI) operations
Name:		python-kerberos
Version:	1.2.5
Release:	1
License:	ASL 2.0
Group:		Development/Python
Url:		https://pypi.python.org/pypi/kerberos
Source0:	https://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz
# Accept principal=None in authGSSClientInit. Upstream ticket
# https://www.calendarserver.org/ticket/942
Patch1:		python-kerberos-942.patch
BuildRequires:	python-setuptools
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description
This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.
The goal is to avoid having to build a module that wraps the entire
Kerberos.framework, and instead offer a limited set of functions that do what
is needed for client/serverKerberos authentication based on
<http://www.ietf.org/rfc/rfc4559.txt>.

Much of the C-code here is adapted from Apache's mod_auth_kerb-5.0rc7.

%files
%{py_platsitedir}/kerberos.so
%{py_platsitedir}/kerberos-%{version}-py%{py_ver}.egg-info

#----------------------------------------------------------------------------

%package -n python3-%{srcname}
Summary:        A high-level wrapper for Kerberos (GSSAPI) operations
Group:          Development/Python

%description -n python3-%{srcname}
This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.
The goal is to avoid having to build a module that wraps the entire
Kerberos.framework, and instead offer a limited set of functions that do what
is needed for client/serverKerberos authentication based on
<http://www.ietf.org/rfc/rfc4559.txt>.

Much of the C-code here is adapted from Apache's mod_auth_kerb-5.0rc7.

%files -n python3-%{srcname}
%{py3_platsitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{srcname}-%{version}
%patch1 -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%changelog

* Mon Dec 04 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.2.5-1
- (a57ac04) Updated to 1.2.5


